NCache 4.3 - Online Documentation

Cache Server Backward Compatibility

 
NCache provides backward compatibility protocol for its older clients. NCache 3.8 onward versions will give you the facility to work with your older clients without re-deploying or re-referencing them with upgraded servers. Backward compatibility will be for onward versions only, any client earlier than 3.8 will not be supported by this protocol. With this feature a client should work with both an older and an upgraded version of the server; otherwise with each updates on server, clients are supposed to be upgraded accordingly.
 
Upgrading a server for new version involves adding new features of NCache while the existing features remains unchanged. For example an upgraded server can only add new features without changing the older ones. In this way it will not break the compatibility with its older clients.
 

 
© Copyright  2014 Alachisoft. All rights reserved.